Issue 63120

Summary: Master Document for presentations
Product: Impress Reporter: thibs <tfavre>
Component: editingAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Normal    
Priority: P3 CC: elish, issues, rb.henschel
Version: OOo 2.0.2   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: FEATURE Latest Confirmation in: 4.1.0
Developer Difficulty: ---

Description thibs 2006-03-13 15:43:05 UTC
Hi,

I'm using impress intensively and a feature I'm really missing is the ability to
create a presentation by gathering other presentations, like one can do with
writer and its concept of "master document".

Indeed, I tend to create very focused presentations : team.odp, product.odp,
market.odp, figures.odp.... Then, to create a presentation for a specific
customer, I assemble these pieces into one new and unique document. The problem
is that it happens that, while doing this process, I sometimes want to update a
part of the presentation (like the product part). So right now, I have to do it
in the customer's specific presentation, and then, I have to do it all over
again in my product.odp presentation to keep it updated. This is really bad for
productivity and one should be able to only link to other Impress documents to
elaborate a presentation.

I hope my explanation was clear, do not hesitate to ask me questions if it wasn't...

Thanks,

thibs
Comment 1 Regina Henschel 2006-03-13 15:55:27 UTC
If you use Insert - File you can open the + and choose single slides (more than
one with Ctrl down) to be inserted from another presentation. In that dialog you
can check to link them. Does that not work for you?
Comment 2 wolframgarten 2006-03-14 07:43:39 UTC
Reassigned.
Comment 3 thibs 2006-03-22 21:09:50 UTC
To regina :
I tried your solution, it is indeed a good workaround as it basically allows me
to do what I expected with master documents. However, I think this feature is
too hidden and the procedure to insert document is different from the one we
have with master documents in Writer. This could confuse users (actually, it
confused me :)). 

This feature should have a lot more exposure than it has now. It is just too
great in terms of productivity to be hidden. This features allows you to
reinvent your entire presentations workflow. Before, it was a nightmare : you
had to keep all your presentations up-to-date once you changed a single word. I
can tell you that being able to link to other slides, it now feels like heaven :)

Thanks,

thibs
Comment 4 thibs 2006-03-22 22:14:35 UTC
After further investigations, I can add some comments here :

* The "Insert file..." feature in Impress is not consistent with the one which
exists in Writer. In Writer, this feature does not let the user the possibility
to "just link" to another Writer document. In a way, this makes sense because to
achieve such an operation in Writer, the user has to use the master document
feature. However, this makes the "Insert file..." feature inconsistent between
the various OpenOffice.org modules, which is definitely not good because it
confuses the user.

* The "Insert file..." feature in Impress is well implemented because only the
relative path to the linked document is saved. So, provided your colleague has
the same file hierarchy, he can open your Impress file without any problems. Cool :)

However, for consistency's sake, I still think this feature should be
implemented ala "Master document" and not in "Insert file...".

My 2 cents,
Thanks,
Go OOo !

thibs
Comment 5 ace_dent 2008-05-15 12:48:19 UTC
This Issue requires more information ('needmoreinfo'), but has not been updated
within the last year. Please re-test with one of the latest versions of OOo -
the problem(s) may have already been addressed. Either use the recent stable
version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be closed or progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further :
http://www.openoffice.org/issues/query.cgi
 
Regards,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
Comment 6 nawwar 2009-02-09 22:34:14 UTC
In the new releases of OOo (3.0.1), the issue remains the same. Linking to other
documents dynamically is implemented in Writer under the concept of  "Master
document", whereas in Impress it is implemented  under the "insert file"
functionality. 

I agree that this might lead to confusion for people trying to find the master
document feature in impress. In fact, I find it annoying that Impress has many
differences compared to Writer in features that are supposed to be similar.

So I think it it will be very useful if "master document" or “Master
Presentation†feature is added to Impress in order to keep all OOo products
consistent with each other, and to eliminate one extra thing a user has to learn
about OOo. (i.e. learn the mechanism once in writer and apply it in impress, not
learn it in writer and then learn it again in Impress!)

-Nawwar Kabbani
Comment 7 Rob Weir 2013-02-02 02:56:35 UTC
This Issue requires more information ('needmoreinfo'), but has not been updated
within the last year. Please provide feedback as requested and re-test with the the latest version of OpenOffice - the problem(s) may already be addressed. 

You can download Apache OpenOffice 3.4.1 from http://www.openoffice.org/download

Please report back the outcome of your testing, so this Issue may be closed or
progressed as necessary - otherwise the issue may be Resolved as Invalid in the
future.
Comment 8 Edwin Sharp 2014-05-02 10:40:13 UTC
Confirmed with
AOO410m18(Build:9764)  -  Rev. 1589052
2014-04-22 12:11 - Linux x86_64
Debian